<script>

function payableTypes()
{
  var payable_type = $("#payable_type").val();

  if(payable_type == "Reoccuring")
  {
    // $("#divampermonth").removeClass("hidediv");
    // $("#divampermonth").addClass("disdiv");
    // $("#ampermonth").type = 'text';
    // $("#ampermonth").prop('required',true);

    $("#divnoofmonth").removeClass("hidediv");
    $("#divnoofmonth").addClass("disdiv");
    $("#noofmonth").type = 'text';
    $("#noofmonth").prop('required',true);

    $("#divlife").removeClass("hidediv");
    $("#divlife").addClass("disdiv");
    $("#life").type = 'checkbox';
    $("#life"). prop("checked", false);

  }
  if(payable_type == "One Time")
  {

    // $("#divampermonth").removeClass("disdiv");
    // $("#divampermonth").addClass("hidediv");
    // $("#ampermonth").type = 'hidden';
    // $("#ampermonth").prop('required',false);

    $("#divnoofmonth").removeClass("disdiv");
    $("#divnoofmonth").addClass("hidediv");
    $("#noofmonth").type = 'hidden';
    $("#noofmonth").prop('required',false);

    $("#divlife").removeClass("disdiv");
    $("#divlife").addClass("hidediv");
    $("#life").type = 'checkbox';

  }


}


function lifecheck()
{
  var payable_type = $("#payable_type").val();
    if($('#life').is(':checked'))
    {
      // $("#divampermonth").removeClass("disdiv");
      // $("#divampermonth").addClass("hidediv");
      // $("#ampermonth").type = 'hidden';
      // $("#ampermonth").prop('required',false);

      $("#divnoofmonth").removeClass("disdiv");
      $("#divnoofmonth").addClass("hidediv");
      $("#noofmonth").type = 'hidden';
      $("#noofmonth").prop('required',false);
    }
    else {
      // $("#divampermonth").removeClass("hidediv");
      // $("#divampermonth").addClass("disdiv");
      // $("#ampermonth").type = 'text';
      // $("#ampermonth").prop('required',true);

      $("#divnoofmonth").removeClass("hidediv");
      $("#divnoofmonth").addClass("disdiv");
      $("#noofmonth").type = 'text';
      $("#noofmonth").prop('required',true);
    }
}

function storeSubCategory(event,obj)
{

    event.preventDefault();
    var obj = $('#form_commit_subcategory');
    var route = obj.attr('action');   
    var formdata = obj.serialize();

        showLoader();

    $.post(route, formdata, function(result)
    {

      if(result.id)
        {

        
  
          var view = '<option value = "'+result.id+'">'+result.name+'</option>';
          $('.sub-category_list').append(view);


             
        $('#md_add_subcategory').modal('hide');

          messageToaster('success','Sub Category has been successfully  added.','Success');
          
        }
        else if(result.success == false)
        {
          alert('Name already found');

        }
        removeLoader();
        

        },'json')
        .fail(function(data) {
             ajax_show_error(data);
        
      }); 
  

}



</script>
